<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	if (!defined("IGNX")) { die("Attempt..."); }

/*

Titulo

*/

	// categorias
	if (isset($_GET["cat"]) && !isset($_GET["ent"]) && isset($_GET["cat"])>0)
	{
		$q = myquery("SELECT * FROM ".CATEGORIAS." WHERE catID<>0 AND catID='".$_GET["cat"]."'","[pro_titulo=1]");
		$r = myfetch($q);
		if (IDIOMA_ACTUAL == 0) $r["titulo_web"] = $r["nombre"];
		if (IDIOMA_ACTUAL == 1) $r["titulo_web"] = $r["nombre_1"];
		if (IDIOMA_ACTUAL == 2) $r["titulo_web"] = $r["nombre_2"];
		if (IDIOMA_ACTUAL == 3) $r["titulo_web"] = $r["nombre_3"];
		if (IDIOMA_ACTUAL == 4) $r["titulo_web"] = $r["nombre_4"];
		if (IDIOMA_ACTUAL == 5) $r["titulo_web"] = $r["nombre_5"];
		if ($r["titulo_web"])
		{
			$tpl_titulo_web = str_replace("\"","'",$r["titulo_web"]." - ".LEN_7);
		} else {
			$tpl_titulo_web = str_replace("\"","'",LEN_7);		
		}
	}
	// catalogos productos
	 else if (isset($_GET["cal"]) && !isset($_GET["prd"]) && isset($_GET["cal"])>0)
	{
		$q = myquery("SELECT * FROM ".TD_CATALOGOS." WHERE cataID<>0 AND cataID='".$_GET["cal"]."'","[pro_titulo=2]");
		$r = myfetch($q);
		if (IDIOMA_ACTUAL == 0) $r["titulo_web"] = $r["nombre"];
		if (IDIOMA_ACTUAL == 1) $r["titulo_web"] = $r["nombre_1"];
		if (IDIOMA_ACTUAL == 2) $r["titulo_web"] = $r["nombre_2"];
		if (IDIOMA_ACTUAL == 3) $r["titulo_web"] = $r["nombre_3"];
		if (IDIOMA_ACTUAL == 4) $r["titulo_web"] = $r["nombre_4"];
		if (IDIOMA_ACTUAL == 5) $r["titulo_web"] = $r["nombre_5"];
		if ($r["titulo_web"])
		{
			$tpl_titulo_web = str_replace("\"","'",$r["titulo_web"]." - ".LEN_7);
		} else {
			$tpl_titulo_web = str_replace("\"","'",LEN_7);		
		}
	}
	// canales
	 else if (isset($_GET["can"]) && isset($_GET["can"])>0)
	{
		$q = myquery("SELECT * FROM ".CANALES." WHERE canID<>0 AND canID='".$_GET["can"]."'","[pro_titulo=3]");
		$r = myfetch($q);
		if (IDIOMA_ACTUAL == 0) $r["titulo_web"] = $r["nombre"];
		if (IDIOMA_ACTUAL == 1) $r["titulo_web"] = $r["nombre_1"];
		if (IDIOMA_ACTUAL == 2) $r["titulo_web"] = $r["nombre_2"];
		if (IDIOMA_ACTUAL == 3) $r["titulo_web"] = $r["nombre_3"];
		if (IDIOMA_ACTUAL == 4) $r["titulo_web"] = $r["nombre_4"];
		if (IDIOMA_ACTUAL == 5) $r["titulo_web"] = $r["nombre_5"];
		if ($r["titulo_web"])
		{
			$tpl_titulo_web = str_replace("\"","'",$r["titulo_web"]." - ".LEN_7);
		} else {
			$tpl_titulo_web = str_replace("\"","'",LEN_7);		
		}
	}
	// items
	else if (isset($_GET["ent"]) && isset($_GET["ent"])>0)
	{
		$q = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=1 AND itemID='".$_GET["ent"]."'","[pro_titulo=4]");
		$r = myfetch($q);
		if (IDIOMA_ACTUAL == 0) $r["titulo_web"] = $r["titulo"];
		if (IDIOMA_ACTUAL == 1) $r["titulo_web"] = $r["titulo_1"];
		if (IDIOMA_ACTUAL == 2) $r["titulo_web"] = $r["titulo_2"];
		if (IDIOMA_ACTUAL == 3) $r["titulo_web"] = $r["titulo_3"];
		if (IDIOMA_ACTUAL == 4) $r["titulo_web"] = $r["titulo_4"];
		if (IDIOMA_ACTUAL == 5) $r["titulo_web"] = $r["titulo_5"];
		if ($r["titulo_web"])
		{
			$tpl_titulo_web = str_replace("\"","'",$r["titulo_web"]." - ".LEN_7);
		} else {
			$tpl_titulo_web = str_replace("\"","'",LEN_7);		
		}
	}
	// items productos
	else if (isset($_GET["prd"]) && isset($_GET["prd"])>0)
	{
		$q = myquery("SELECT * FROM ".ITEMS." WHERE enabled=1 AND item_tipo=3 AND itemID='".$_GET["prd"]."'","[pro_titulo=5]");
		$r = myfetch($q);
		if (IDIOMA_ACTUAL == 0) $r["titulo_web"] = $r["titulo"];
		if (IDIOMA_ACTUAL == 1) $r["titulo_web"] = $r["titulo_1"];
		if (IDIOMA_ACTUAL == 2) $r["titulo_web"] = $r["titulo_2"];
		if (IDIOMA_ACTUAL == 3) $r["titulo_web"] = $r["titulo_3"];
		if (IDIOMA_ACTUAL == 4) $r["titulo_web"] = $r["titulo_4"];
		if (IDIOMA_ACTUAL == 5) $r["titulo_web"] = $r["titulo_5"];
		if ($r["titulo_web"])
		{
			$tpl_titulo_web = str_replace("\"","'",$r["titulo_web"]." - ".LEN_7);
		} else {
			$tpl_titulo_web = str_replace("\"","'",LEN_7);		
		}
	}
	// paginas adicionales
	else if (isset($_GET["ap"]) && isset($_GET["ap"])>0)
	{
		$q = myquery("SELECT * FROM ".PAGINAS." WHERE enabled=1 AND pagID='".$_GET["ap"]."'","[pro_titulo=6]");
		$r = myfetch($q);
		if (IDIOMA_ACTUAL == 0) $r["titulo_web"] = $r["titulo"];
		if (IDIOMA_ACTUAL == 1) $r["titulo_web"] = $r["titulo_1"];
		if (IDIOMA_ACTUAL == 2) $r["titulo_web"] = $r["titulo_2"];
		if (IDIOMA_ACTUAL == 3) $r["titulo_web"] = $r["titulo_3"];
		if (IDIOMA_ACTUAL == 4) $r["titulo_web"] = $r["titulo_4"];
		if (IDIOMA_ACTUAL == 5) $r["titulo_web"] = $r["titulo_5"];
		if ($r["titulo_web"])
		{
			$tpl_titulo_web = str_replace("\"","'",$r["titulo_web"]." - ".LEN_7);
		} else {
			$tpl_titulo_web = str_replace("\"","'",LEN_7);		
		}
	}
	// general
	else
	{
			$tpl_titulo_web = str_replace("\"","'",LEN_7);		
	}
		
/*

FIN de Titulo

*/

?>